## org.mortbay.jetty.servlet
Class ServletMapping

    java.lang.Object
      org.mortbay.jetty.servlet.ServletMapping

    public class ServletMapping

extends java.lang.Object

Constructor Summary
`ServletMapping()`

Method Summary
`java.lang.String[]` `getPathSpecs()`
`java.lang.String` `getServletName()`
`void` `setPathSpec(java.lang.String pathSpec)`
`void` `setPathSpecs(java.lang.String[] pathSpecs)`
`void` `setServletName(java.lang.String servletName)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServletMapping

    public ServletMapping()

Method Detail

### getPathSpecs

    public java.lang.String[] getPathSpecs()

  Returns:
    Returns the pathSpec.

### getServletName

    public java.lang.String getServletName()

  Returns:
    Returns the servletName.

### setPathSpecs

    public void setPathSpecs(java.lang.String[] pathSpecs)

  Parameters:
    `pathSpec` - The pathSpec to set.

### setPathSpec

    public void setPathSpec(java.lang.String pathSpec)

  Parameters:
    `pathSpec` - The pathSpec to set.

### setServletName

    public void setServletName(java.lang.String servletName)

  Parameters:
    `servletName` - The servletName to set.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.